## hy 0.10.0

=== requirements.txt ===
# Check site / dev for more deps!
flake8
rply>=0.7.0

=== debian/changelog ===
hy (0.10.0-2) unstable; urgency=medium

  * Add CC0 to debian/copyright, even though they explicitly don't hold
    copyright and is not a license (to make it clear these files aren't covered
    by Expat or any copyright holders).

 -- Paul Tagliamonte <paultag@debian.org>  Tue, 15 Jul 2014 21:57:00 -0400

hy (0.10.0-1) unstable; urgency=medium

  * Initial release (Closes: #731059).

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 15 Jul 2014 00:29:12 -0400

=== debian/control ===
Source: hy
Section: python
Priority: optional
Maintainer: Tianon Gravi <admwiggin@gmail.com>
Uploaders: Paul Tagliamonte <paultag@debian.org>,
           Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6~),
               python-astor,
               python-coverage,
               python-nose,
               python-rply,
               python-setuptools,
               python3-all (>= 3.2~),
               python3-astor,
               python3-coverage,
               python3-nose,
               python3-rply,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.5
Homepage: http://hylang.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/hy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hy.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: hy
Architecture: all
Depends: python3-hy, ${misc:Depends}
Description: Lisp (s-expression) based frontend to Python (metapackage)
 Hy is a wonderful dialect of Lisp that's embedded in Python.
 .
 Since Hy transforms its Lisp code into the Python Abstract Syntax Tree, you
 have the whole beautiful world of Python at your fingertips, in Lisp form!
 .
 This package is here for future installability. This is the stable interface
 to install the `hy' language.

Package: python-hy
Architecture: all
Depends: python-astor, python-rply, ${misc:Depends}, ${python:Depends}
Description: Lisp (s-expression) based frontend to Python
 Hy is a wonderful dialect of Lisp that's embedded in Python.
 .
 Since Hy transforms its Lisp code into the Python Abstract Syntax Tree, you
 have the whole beautiful world of Python at your fingertips, in Lisp form!
 .
 This package contains Python 2 bindings only.

Package: python3-hy
Architecture: all
Depends: python3-astor, python3-rply, ${misc:Depends}, ${python3:Depends}
Description: Lisp (s-expression) based frontend to Python 3
 Hy is a wonderful dialect of Lisp that's embedded in Python 3.
 .
 Since Hy transforms its Lisp code into the Python Abstract Syntax Tree, you
 have the whole beautiful world of Python at your fingertips, in Lisp form!
 .
 This package contains Python 3 bindings only.

## hy 0.10.1

=== Makefile ===
all:
	@echo "No default step. Use setup.py"
	@echo ""
	@echo " Other targets:"
	@echo ""
	@echo "   - docs"
	@echo "   - full"
	@echo ""
	@echo "   - dev (test & flake)"
	@echo "   - flake"
	@echo "   - test"
	@echo "   - diff"
	@echo "   - tox"
	@echo "   - d"
	@echo "   - r"
	@echo "   - clean"
	@echo ""

docs:
	make -C docs html

upload: r
	python setup.py sdist upload

full: d tox docs

venv:
ifeq (,$(findstring hy,$(VIRTUAL_ENV)))
	@echo "You're not in a Hy virtualenv. FOR SHAME"
	exit 1
else
	@echo "We're properly in a virtualenv. Going ahead."
endif

dev: test flake

test: venv
	nosetests -sv

tox: venv
	tox

flake:
	flake8 hy tests

clear:
	clear

d: clear dev

diff:
	git diff --color | less -r

r: d tox diff

travis:
	nosetests -s --with-coverage --cover-package hy
ifeq (PyPy,$(findstring PyPy,$(shell python -V 2>&1 | tail -1)))
	@echo "skipping flake8 on pypy"
else
	flake8 hy bin tests
endif

clean:
	@find . -name "*.pyc" -exec rm {} \;
	@find -name __pycache__ -delete
	@${RM} -r -f .tox
	@${RM} -r -f dist
	@${RM} -r -f *.egg-info
	@${RM} -r -f docs/_build

.PHONY: docs

=== debian/changelog ===
hy (0.10.1-1) unstable; urgency=medium

  * Update to 0.10.1 upstream release!

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 10 Oct 2014 19:35:53 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-rply,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://hylang.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/hy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hy.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=hy

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	make -C docs man # TODO html (and install it in hy-doc or something)

override_dh_auto_install:
	dh_auto_install
	for bin in debian/python-hy/usr/bin/*; do \
		mv -v $$bin $${bin}2; \
	done
	for bin in debian/python3-hy/usr/bin/*; do \
		mv -v $$bin $${bin}3; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## hy 0.11.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,9 @@
+pip_url=https://bootstrap.pypa.io/get-pip.py
+python=python
+pip=pip
+coveralls=coveralls
+nose=nosetests
+
 all:
 	@echo "No default step. Use setup.py"
 	@echo ""
@@ -53,13 +59,24 @@
 
 r: d tox diff
 
-travis:
-	nosetests -s --with-coverage --cover-package hy
+python:
+ifeq (Python 2.6,$(findstring Python 2.6,$(shell python -V 2>&1)))
+	$(pip) install unittest2
+endif
+	$(pip) install -r requirements-travis.txt
+	$(pip) install coveralls
+	$(pip) install --allow-all-external -e .
+
+travis: python
+	$(nose) -s --with-coverage --cover-package hy
 ifeq (PyPy,$(findstring PyPy,$(shell python -V 2>&1 | tail -1)))
 	@echo "skipping flake8 on pypy"
 else
 	flake8 hy bin tests
 endif
+
+coveralls:
+	$(coveralls)
 
 clean:
 	@find . -name "*.pyc" -exec rm {} \;

=== debian/changelog ===
hy (0.11.0-1) unstable; urgency=medium

  * Update to 0.11.0 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Wed, 20 May 2015 00:39:58 -0600

hy (0.10.1-2) unstable; urgency=medium

  * Update Vcs-* fields to point to the correct repositoriy.
  * Remove copyninja from Uploaders per request. (Thanks for your help/support!)
  * Use changelog date in man page for reproducible builds (Closes: #782385).

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 05 May 2015 00:30:14 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Tianon Gravi <admwiggin@gmail.com>
-Uploaders: Paul Tagliamonte <paultag@debian.org>,
-           Vasudev Kamath <kamathvasudev@gmail.com>
+Uploaders: Paul Tagliamonte <paultag@debian.org>
 Build-Depends: debhelper (>= 9),
                python-all (>= 2.6~),
                python-astor,
@@ -13,6 +12,7 @@
                python-setuptools,
                python3-all (>= 3.2~),
                python3-astor,
+               python3-clint,
                python3-coverage,
                python3-nose,
                python3-rply,
@@ -20,8 +20,8 @@
                python3-sphinx
 Standards-Version: 3.9.6
 Homepage: http://hylang.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/hy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hy.git
+Vcs-Git: git://anonscm.debian.org/pkg-hy/hy.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hy/hy.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,16 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=hy
+
+BUILD_DATE=$(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u '+%B %d, %Y' -f -)
 
 %:
 	dh $@ --with python2,python3 --buildsystem pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	make -C docs man # TODO html (and install it in hy-doc or something)
+	make -C docs man SPHINXOPTS='-D today="$(BUILD_DATE)"'
+	# TODO html docs (and install them in hy-doc or something)
 
 override_dh_auto_install:
 	dh_auto_install

## hy 0.11.1

=== Makefile ===
--- 
+++ 
@@ -67,14 +67,6 @@
 	$(pip) install coveralls
 	$(pip) install --allow-all-external -e .
 
-travis: python
-	$(nose) -s --with-coverage --cover-package hy
-ifeq (PyPy,$(findstring PyPy,$(shell python -V 2>&1 | tail -1)))
-	@echo "skipping flake8 on pypy"
-else
-	flake8 hy bin tests
-endif
-
 coveralls:
 	$(coveralls)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/hy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/hy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/hy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/hy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== eg/appengine/requirements.txt ===
Flask
hy==0.9.10 # master is broken because of rply

=== eg/rpython/Makefile ===
RPY_WRAP = python -m hy
RPY_FLAGS = -O2
RPY = ~/pypy/rpython/bin/rpython

all: clean build

clear:
	@clear

clean:
	rm -f target-c

build:
	$(RPY_WRAP) $(RPY) $(RPY_FLAGS) target.py

=== debian/changelog ===
hy (0.11.1-1) unstable; urgency=medium

  * Update to 0.11.1 upstream release (Closes: #811142).

 -- Tianon Gravi <tianon@debian.org>  Fri, 15 Jan 2016 20:20:21 -0800

hy (0.11.0-4) unstable; urgency=medium

  * Fix FTBFS due to rply trying to write to HOME during sphinx-build.
  * Fix build repeatability with proper override_dh_auto_clean.
  * Fix FTBFS now that the tests actually run (Closes: #805204).
  * Add "hyc" and "hy2py" as slaves to the "hy" alternative.
  * Add alternatives to python-hy package also (to make testing easier).

 -- Tianon Gravi <tianon@debian.org>  Mon, 16 Nov 2015 21:15:55 -0800

hy (0.11.0-3) unstable; urgency=medium

  * Fix FTBFS by adding python-clint to Build-Depends (Closes: #796434).
    Thanks, Chris!

 -- Tianon Gravi <tianon@debian.org>  Fri, 21 Aug 2015 15:33:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: hy
 Section: python
 Priority: optional
-Maintainer: Tianon Gravi <admwiggin@gmail.com>
+Maintainer: Tianon Gravi <tianon@debian.org>
 Uploaders: Paul Tagliamonte <paultag@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all (>= 2.6~),
                python-astor,
+               python-clint,
                python-coverage,
                python-nose,
                python-rply,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=hy
+export PYBUILD_NAME := hy
+
+# have to set HOME because rply wants to write into ~/.cache/rply
+export HOME := $(CURDIR)/fake-home
+
+# TODO figure out why the tests in python3 fail via pybuild, but pass after install
+export PYBUILD_DISABLE_python3 := test
 
 BUILD_DATE=$(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u '+%B %d, %Y' -f -)
 
@@ -9,8 +15,20 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	make -C docs man SPHINXOPTS='-D today="$(BUILD_DATE)"'
+	make -C docs \
+		SPHINXOPTS='-D today="$(BUILD_DATE)"' \
+		man
 	# TODO html docs (and install them in hy-doc or something)
+
+override_dh_auto_test:
+	# tests use "README.md" from the original source for IO testing
+	dh_auto_test -- \
+		--before-test 'cp {dir}/README.md {build_dir}' \
+		--test-args ' \
+			--exclude test_botsbuildbots \
+			--ignore-files test_bin.py \
+		' \
+		--after-test 'rm {build_dir}/README.md'
 
 override_dh_auto_install:
 	dh_auto_install
@@ -23,3 +41,12 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_auto_clean:
+	dh_auto_clean
+	# sphinx
+	rm -rf docs/_build
+	# clean out our HOME-hack leftovers
+	rm -rf fake-home
+	# egg-info! (not shipped at all in upstream tarballs)
+	rm -rf hy.egg-info

=== debian/tests/control ===
Tests: nose2
Depends: python-hy, python-nose
Restrictions: allow-stderr

Tests: nose3
Depends: python3-hy, python3-nose
Restrictions: allow-stderr

=== debian/watch ===
version=3
    https://github.com/hylang/hy/tags .*/(\d\S*)\.tar\.gz

## hy 0.12.1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	@echo ""
 
 docs:
-	make -C docs html
+	$(MAKE) -C docs html
 
 upload: r
 	python setup.py sdist upload
@@ -47,7 +47,7 @@
 	tox
 
 flake:
-	flake8 hy tests
+	flake8 hy tests --ignore=E121,E123,E126,E226,E24,E704,W503,E305
 
 clear:
 	clear
@@ -72,10 +72,10 @@
 
 clean:
 	@find . -name "*.pyc" -exec rm {} \;
-	@find -name __pycache__ -delete
+	@find . -name __pycache__ -delete
 	@${RM} -r -f .tox
 	@${RM} -r -f dist
 	@${RM} -r -f *.egg-info
 	@${RM} -r -f docs/_build
 
-.PHONY: docs
+.PHONY: all docs upload full venv dev test tox flake clear d diff r python coveralls clean

=== debian/changelog ===
hy (0.12.1-2) unstable; urgency=medium

  * Fix installed binary names and alternatives (Closes: #857308);
    thanks Abhijit and Andreas!

 -- Tianon Gravi <tianon@debian.org>  Fri, 10 Mar 2017 16:08:09 -0800

hy (0.12.1-1) unstable; urgency=medium

  * Update to 0.12.1 upstream release
  * Update Vcs-* to use https

 -- Tianon Gravi <tianon@debian.org>  Wed, 08 Mar 2017 13:05:00 -0800

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                python3-sphinx
 Standards-Version: 3.9.6
 Homepage: http://hylang.org/
-Vcs-Git: git://anonscm.debian.org/pkg-hy/hy.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hy/hy.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-hy/hy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hy/hy.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -32,11 +32,25 @@
 
 override_dh_auto_install:
 	dh_auto_install
+# make sure all python-hy binaries have a "2" suffix
+# (skip binaries that already have a "2" suffix)
 	for bin in debian/python-hy/usr/bin/*; do \
-		mv -v $$bin $${bin}2; \
+		[ "$${bin%2}" = "$${bin}" ] || continue; \
+		if [ -e "$${bin}2" ]; then \
+			rm -v "$${bin}"; \
+		else \
+			mv "$${bin}" "$${bin}2"; \
+		fi; \
 	done
+# make sure all python3-hy binaries have a "3" suffix
+# (skip binaries that already have a "3" suffix)
 	for bin in debian/python3-hy/usr/bin/*; do \
-		mv -v $$bin $${bin}3; \
+		[ "$${bin%3}" = "$${bin}" ] || continue; \
+		if [ -e "$${bin}3" ]; then \
+			rm -v "$${bin}"; \
+		else \
+			mv "$${bin}" "$${bin}3"; \
+		fi; \
 	done
 
 override_dh_installchangelogs:

## hy 0.17.0

=== debian/changelog ===
hy (0.17.0-1) unstable; urgency=medium

  * Update to 0.17.0 upstream release (Closes: #913044, #892264, #913048)
  * Update Vcs-* for Salsa move
  * Drop Python 2 support
  * Utilize "/usr/share/dpkg/pkg-info.mk" for changelog parsing
  * Use "debhelper-compat" and remove ancient "X-Python3-Version"

 -- Tianon Gravi <tianon@debian.org>  Mon, 19 Aug 2019 18:21:26 -0700

=== debian/control ===
Source: hy
Section: python
Priority: optional
Maintainer: Tianon Gravi <tianon@debian.org>
Uploaders: Paul Tagliamonte <paultag@debian.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all (>= 3.5~),
               python3-astor (>= 0.8~),
               python3-clint (>= 0.4~),
               python3-coverage,
               python3-funcparserlib (>= 0.3.6~),
               python3-pytest,
               python3-rply (>= 0.7.7~),
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 3.9.6
Homepage: http://hylang.org/
Vcs-Git: https://salsa.debian.org/hy-team/hy.git
Vcs-Browser: https://salsa.debian.org/hy-team/hy

Package: hy
Architecture: all
Depends: python3-hy, ${misc:Depends}
Description: Lisp (s-expression) based frontend to Python (metapackage)
 Hy is a wonderful dialect of Lisp that's embedded in Python.
 .
 Since Hy transforms its Lisp code into the Python Abstract Syntax Tree, you
 have the whole beautiful world of Python at your fingertips, in Lisp form!
 .
 This package is here for future installability. This is the stable interface
 to install the `hy' language.

Package: python3-hy
Architecture: all
Depends: python3-setuptools, ${misc:Depends}, ${python3:Depends}
Description: Lisp (s-expression) based frontend to Python 3
 Hy is a wonderful dialect of Lisp that's embedded in Python 3.
 .
 Since Hy transforms its Lisp code into the Python Abstract Syntax Tree, you
 have the whole beautiful world of Python at your fingertips, in Lisp form!
 .
 This package contains Python 3 bindings only.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME := hy

# "test_bin.py" and "test_hy2py.py" look for "hy" and "hy2py" in PATH (which come from "console_scripts" in "setup.py"), so can only run post-install
export PYBUILD_TEST_ARGS := -k '-test_bin -test_hy2py'

# "language.hy" tests use "README.md" from the original source for IO testing
export PYBUILD_BEFORE_TEST := cp {dir}/README.md {build_dir}/
export PYBUILD_AFTER_TEST := rm {build_dir}/README.md

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_configure:
	# make sure Hy knows what version it is (https://github.com/hylang/hy/blob/0.17.0/get_version.py)
	echo "__version__ = '$(DEB_VERSION_UPSTREAM)'" > hy/version.py
	dh_auto_configure

BUILD_DATE := $(shell LC_ALL=C date -u '+%B %d, %Y' --date '@$(SOURCE_DATE_EPOCH)')
override_dh_auto_build:
	dh_auto_build
	make -C docs \
		SPHINXOPTS='-D today="$(BUILD_DATE)"' \
		man
	# TODO html docs (and install them in hy-doc or something)

override_dh_auto_install:
	dh_auto_install
# make sure all python3-hy binaries have a "3" suffix
# (skip binaries that already have a "3" suffix)
	for bin in debian/python3-hy/usr/bin/*; do \
		[ "$${bin%3}" = "$${bin}" ] || continue; \
		if [ -e "$${bin}3" ]; then \
			rm -v "$${bin}"; \
		else \
			mv "$${bin}" "$${bin}3"; \
		fi; \
	done
# clean up some nonsense "get_version.py" creates (see also https://github.com/hylang/hy/pull/1766)
# TODO figure out a cleaner way to exclude this via pybuild directly instead
	rm -rf debian/*/usr/get_version/

override_dh_auto_clean:
	dh_auto_clean
	# sphinx
	rm -rf docs/_build
	# egg-info! (not shipped at all in upstream tarballs)
	rm -rf hy.egg-info

## hy 0.18.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 python=python
 pip=pip
 coveralls=coveralls
-nose=nosetests
 
 all:
 	@echo "No default step. Use setup.py"
@@ -41,13 +40,13 @@
 dev: test flake
 
 test: venv
-	nosetests -sv
+	pytest
 
 tox: venv
 	tox
 
 flake:
-	flake8 hy tests --ignore=E121,E123,E126,E226,E24,E704,W503,E305
+	flake8 hy tests --ignore=E121,E123,E126,E226,E24,E704,W503,E302,E305,E701
 
 clear:
 	clear
@@ -65,7 +64,7 @@
 endif
 	$(pip) install -r requirements-travis.txt
 	$(pip) install coveralls
-	$(pip) install --allow-all-external -e .
+	$(pip) install -e .
 
 coveralls:
 	$(coveralls)

=== debian/changelog ===
hy (0.18.0-1) unstable; urgency=medium

  * Update to 0.18.0 upstream release

 -- Tianon Gravi <tianon@debian.org>  Fri, 07 Feb 2020 13:55:21 -0800

hy (0.17.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support Python 3.8 (Closes: #950672)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 04 Feb 2020 08:40:08 -0800

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                python3-all (>= 3.5~),
                python3-astor (>= 0.8~),
                python3-clint (>= 0.4~),
+               python3-colorama,
                python3-coverage,
                python3-funcparserlib (>= 0.3.6~),
                python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,13 @@
 export PYBUILD_BEFORE_TEST := cp {dir}/README.md {build_dir}/
 export PYBUILD_AFTER_TEST := rm {build_dir}/README.md
 
+# make sure Hy knows what version it is (and doesn't try to ask "git")
+# https://github.com/hylang/hy/pull/1821
+# https://github.com/hylang/hy/blob/0.18.0/get_version.py#L8-L9
+export HY_VERSION := $(DEB_VERSION_UPSTREAM)
+
 %:
 	dh $@ --with python3 --buildsystem pybuild
-
-override_dh_auto_configure:
-	# make sure Hy knows what version it is (https://github.com/hylang/hy/blob/0.17.0/get_version.py)
-	echo "__version__ = '$(DEB_VERSION_UPSTREAM)'" > hy/version.py
-	dh_auto_configure
 
 BUILD_DATE := $(shell LC_ALL=C date -u '+%B %d, %Y' --date '@$(SOURCE_DATE_EPOCH)')
 override_dh_auto_build:

## hy 0.19.0

=== debian/changelog ===
hy (0.19.0-2) unstable; urgency=medium

  * Switch pytest "-k" syntax from "-" to "not" (Closes: #977066)

 -- Tianon Gravi <tianon@debian.org>  Thu, 10 Dec 2020 12:10:26 -0800

hy (0.19.0-1) unstable; urgency=medium

  * Update to 0.19.0 upstream release (Closes: #964602, #968445)

 -- Tianon Gravi <tianon@debian.org>  Mon, 17 Aug 2020 08:06:00 -0700

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                dh-python,
                python3-all (>= 3.5~),
                python3-astor (>= 0.8~),
-               python3-clint (>= 0.4~),
                python3-colorama,
                python3-coverage,
                python3-funcparserlib (>= 0.3.6~),
-               python3-pytest,
+               python3-pygments (>= 1.6~),
+               python3-pytest (>= 3.2.1~),
                python3-rply (>= 0.7.7~),
                python3-setuptools,
                python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME := hy
 
 # "test_bin.py" and "test_hy2py.py" look for "hy" and "hy2py" in PATH (which come from "console_scripts" in "setup.py"), so can only run post-install
-export PYBUILD_TEST_ARGS := -k '-test_bin -test_hy2py'
+export PYBUILD_TEST_ARGS := -k 'not test_bin and not test_hy2py'
 
 # "language.hy" tests use "README.md" from the original source for IO testing
 export PYBUILD_BEFORE_TEST := cp {dir}/README.md {build_dir}/

=== debian/tests/control ===
Tests: py3
Depends: python3-hy, python3-pytest
Restrictions: rw-build-tree

=== debian/watch ===
version=3
https://github.com/hylang/hy/tags .*/(\d\S*)\.tar\.gz

## hy 0.28.0

=== debian/changelog ===
hy (0.28.0-1) unstable; urgency=medium

  * New upstream version 0.28.0-1

  * [170526d] Declare hy-doc as Multi-Arch:foreign
  * Update copyright information
    + [585fb65] Bump dates in d/copyright
    + [ee68100] Add 'licensecheck' target
    + [1798d9e] Generate initial d/copyright_hints
    + [bee5700] Update d/copyright
  * [f38f49d] Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 09 Jan 2024 15:55:49 +0100

hy (0.27.0-1) unstable; urgency=medium

  * Upload to unstable

  * Make the 'hy' package a full-featured package
    + [e8b8922] Move binaries to 'hy' package
    + [a2e87ca] Make sure that 'hy' depends on Python3
    + [6f47e8c] Put 'hy' package into section 'devel'
  * [d02829d] Update authors in d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 09 Jan 2024 15:06:33 +0100

hy (0.27.0-1~exp1) experimental; urgency=medium

  * Update to 0.27.0 upstream release
    (Closes: #1002344, #1009857)

  * [091741c] Ship documentation in hy-doc package
    + [4cb0202] Fix building of docs
  * Update build-dependencies
    + [463772a] Bump versioned B-D on python3-funcparserlib
    + [0e96778] B-D on python3-pip
    + [1909676] Drop python3-colorama B-D
    + [284ac46] Use nodoc/nocheck build-profiles
    + [28e2ddd] Use dh-sequence-* B-Ds instead of running "dh --with *"
  * [47f16fc] Use execute_after_dh_* instead of override_dh_*
  * [56ce327] Use d/clean instead of overriding dh_auto_clean
    + [0051db0] Add patch to disable missing sphinxmodules
    + [9595596] Provide generic manpage
  * [cc899a7] Add more autopkgtests
  * [cfe01a5] Add myself to uploaders
  * Update copyright information
    + [d04fc5f] Add myself to copyright holders.
    + Add a "Copyright: n/a" stanza to the CC0-1.0 covered docs
    + [75299bf] Use secure copyright-format URI
  * [0fd86dd] Update d/watch
  * [7fae2a0] Add salsa-ci configuration
    + [c0b25af] Overriding the tarball directive in d/gbp.conf
  * [2839750] Declare that building this package does not require 'root' powers.
  * [efaa49d] Apply 'wrap-and-sort -ast'
  * [d660de3] Bump dh-compat to 13
  * [3d9910e] Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Oct 2023 19:37:13 +0200

=== debian/control ===
Source: hy
Section: python
Priority: optional
Maintainer: Tianon Gravi <tianon@debian.org>
Uploaders:
 Paul Tagliamonte <paultag@debian.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all (>= 3.5~),
 python3-astor (>= 0.8~),
 python3-coverage,
 python3-funcparserlib (>= 1.0.0~),
 python3-pip,
 python3-pygments (>= 1.6~) <!nodoc>,
 python3-pytest (>= 3.2.1~) <!nocheck>,
 python3-rply (>= 0.7.7~),
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://hylang.org/
Vcs-Git: https://salsa.debian.org/hy-team/hy.git
Vcs-Browser: https://salsa.debian.org/hy-team/hy

Package: hy
Architecture: all
Section: devel
Depends:
 python3-hy,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-hy (<<0.27.0-1~),
Replaces:
 python3-hy (<<0.27.0-1~),
Description: Lisp (s-expression) based frontend to Python (cmdline)
 Hy is a wonderful dialect of Lisp that's embedded in Python.
 .
 Since Hy transforms its Lisp code into the Python Abstract Syntax Tree, you
 have the whole beautiful world of Python at your fingertips, in Lisp form!
 .
 This package contains the 'hy' binaries for running the interpreter.
 .
 It is here for future installability. This is the stable interface
 to install the `hy' language.

Package: python3-hy
Architecture: all
Depends:
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Description: Lisp (s-expression) based frontend to Python 3
 Hy is a wonderful dialect of Lisp that's embedded in Python 3.
 .
 Since Hy transforms its Lisp code into the Python Abstract Syntax Tree, you
 have the whole beautiful world of Python at your fingertips, in Lisp form!
 .
 This package contains Python 3 bindings only.

Package: hy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 hy,
Description: Lisp (s-expression) based frontend to Python (documentation)
 Hy is a wonderful dialect of Lisp that's embedded in Python.
 .
 Since Hy transforms its Lisp code into the Python Abstract Syntax Tree, you
 have the whole beautiful world of Python at your fingertips, in Lisp form!
 .
 This package contains the HTML documentation of for Hy.

=== debian/rules ===
--- 
+++ 
@@ -19,35 +19,46 @@
 export HY_VERSION := $(DEB_VERSION_UPSTREAM)
 
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 BUILD_DATE := $(shell LC_ALL=C date -u '+%B %d, %Y' --date '@$(SOURCE_DATE_EPOCH)')
-override_dh_auto_build:
-	dh_auto_build
-	make -C docs \
-		SPHINXOPTS='-D today="$(BUILD_DATE)"' \
-		man
+
+# JMZ: disabled for now, since upstream's source-releases don't have a docs/ folder
+execute_after_dh_auto_build:
+	cp debian/hy.1 hy3.1
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+	test ! -d docs || \
+	sphinx-build docs docs/_build/manual
+	-cp docs/_build/man/hy.1 hy3.1
 	# TODO html docs (and install them in hy-doc or something)
+endif
 
-override_dh_auto_install:
-	dh_auto_install
+override_dh_auto_test:
+	test ! -d tests || dh_auto_test
+
+execute_after_dh_auto_install:
 # make sure all python3-hy binaries have a "3" suffix
 # (skip binaries that already have a "3" suffix)
+	rm -rf debian/hy/usr/bin/
+	mkdir -p debian/hy/usr/bin/
 	for bin in debian/python3-hy/usr/bin/*; do \
 		[ "$${bin%3}" = "$${bin}" ] || continue; \
-		if [ -e "$${bin}3" ]; then \
-			rm -v "$${bin}"; \
-		else \
-			mv "$${bin}" "$${bin}3"; \
-		fi; \
+		mv "$${bin}" "debian/hy/usr/bin/$${bin##*/}3"; \
 	done
+	rm -rf debian/python3-hy/usr/bin/
+
 # clean up some nonsense "get_version.py" creates (see also https://github.com/hylang/hy/pull/1766)
 # TODO figure out a cleaner way to exclude this via pybuild directly instead
 	rm -rf debian/*/usr/get_version/
 
-override_dh_auto_clean:
-	dh_auto_clean
-	# sphinx
-	rm -rf docs/_build
-	# egg-info! (not shipped at all in upstream tarballs)
-	rm -rf hy.egg-info
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

=== debian/tests/control ===
Tests: py3
Depends:
 hy,
 python3-pytest,
Restrictions: rw-build-tree

Tests: hello.hy
Depends:
 hy,

## hy 0.29.0

=== debian/changelog ===
hy (0.29.0-2) unstable; urgency=medium

  * [2b06a56] Add patch to fix Python3.12.6 compatibility (Closes: #1081312)
  * [5cfd282] Add d/README.source to document packaging hy

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Sep 2024 09:20:45 +0200

hy (0.29.0-1) unstable; urgency=medium

  * New upstream version 0.29.0

  * Update patches
    * [33877f6] Refresh patches
    * [cbe5863] Add patch to remove removed sphinx deprecation warnings
  * Update build-dependencies
    * [40f21f7] Drop B-D on python3-astor
  * [22d9dbb] Clean all manpages
  * Update copyright information
    * [55a70e4] Exclude PNG files from licensecheck
    * [680fd6f] Re-generate d/copyright_hints
  * [b8abfaf] Drop debsuffix from upstream-version in d/changelog for 0.28.0-1
  * [d373629] Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 May 2024 15:58:57 +0200

## hy 1.0.0

=== debian/changelog ===
hy (1.0.0-1) unstable; urgency=medium

  * [4aa68ef] New upstream version 1.0.0

  * Update patches
    + [825b801] Refresh patches
    + [01b85af] Drop patches applied upstream
  * [af9e32e] Add d/README.source to document packaging hy
  * [8cf2d75] Apply 'wrap-and-sort -ast'
  * [09b87bc] Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Sep 2024 22:59:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  python3-all (>= 3.5~),
- python3-astor (>= 0.8~),
  python3-coverage,
  python3-funcparserlib (>= 1.0.0~),
  python3-pip,
@@ -20,7 +19,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://hylang.org/
 Vcs-Git: https://salsa.debian.org/hy-team/hy.git

## hy 1.1.0

=== debian/changelog ===
hy (1.1.0-1) unstable; urgency=medium

  * [e699ae3] New upstream version 1.1.0
  * Update copyright information
    + [71817fb] Update d/copyright
    + [86830c1] Re-generate d/copyright_hint
  * [be194ac] Bump standards version to 4.7.2
    no changes required

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 23 Aug 2025 22:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://hylang.org/
 Vcs-Git: https://salsa.debian.org/hy-team/hy.git

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,8 @@
 	rm -rf debian/*/usr/get_version/
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-        debian/.*
+        debian/.*|docs/_static/cuddles.*\.png
+
 # licensecheck v1
 .PHONY: licensecheck
 licensecheck:

=== debian/tests/control ===
Tests:
 py3,
Depends:
 hy,
 python3-pytest,
Restrictions:
 rw-build-tree,

Tests:
 hello.hy,
Depends:
 hy,

=== debian/watch ===
version=4
opts=\
	filenamemangle=s/.+\/@ANY_VERSION@/hy-$1/,\
	uversionmangle=s/(1\.0a[0-4])/0~$1/,\
	dversionmangle=auto \
  https://github.com/hylang/hy/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## hy 1.2.0

=== docs/requirements.txt ===
Pygments >= 2.18.0
Sphinx == 5.0.2
standard-imghdr
  # This is needed for old Sphinges on new Pythons.
git+https://github.com/hylang/sphinxcontrib-hydomain.git

=== debian/changelog ===
hy (1.2.0-1) unstable; urgency=medium

  * [bd05829] New upstream version 1.2.0

  * [0cf8f1c] Upstream renamed README
  * [75ccd80] Drop obsolete 'Priority: optional' stanza.
  * [79b32e5] Drop obsolete Rules-Requires-Root stanza.
  * [5776498] Update d/watch to version 5
  * Update copyright information
    + [ef3bf37] Bump copyright dates
    * [03fe5a4] Re-generate d/copyright hints
  * [c7a738c] Bump standards version to 4.7.3
    no changes required

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Feb 2026 14:39:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: hy
 Section: python
-Priority: optional
 Maintainer: Tianon Gravi <tianon@debian.org>
 Uploaders:
  Paul Tagliamonte <paultag@debian.org>,
@@ -19,8 +18,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: http://hylang.org/
 Vcs-Git: https://salsa.debian.org/hy-team/hy.git
 Vcs-Browser: https://salsa.debian.org/hy-team/hy

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 # "test_bin.py" and "test_hy2py.py" look for "hy" and "hy2py" in PATH (which come from "console_scripts" in "setup.py"), so can only run post-install
 export PYBUILD_TEST_ARGS := -k 'not test_bin and not test_hy2py'
 
-# "language.hy" tests use "README.md" from the original source for IO testing
-export PYBUILD_BEFORE_TEST := cp {dir}/README.md {build_dir}/
-export PYBUILD_AFTER_TEST := rm {build_dir}/README.md
+# "language.hy" tests use "README.rst" from the original source for IO testing
+export PYBUILD_BEFORE_TEST := cp {dir}/README.rst {build_dir}/
+export PYBUILD_AFTER_TEST := rm {build_dir}/README.rst
 
 # make sure Hy knows what version it is (and doesn't try to ask "git")
 # https://github.com/hylang/hy/pull/1821

=== debian/watch ===
Version: 5

Template: Github
Owner: hylang
Project: hy
Dversionmangle: auto
Uversionmangle: s/(1\.0a[0-4])/0~$1/

## hy sicp-0.0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = hy_sicp
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
